Settings (Grails 5.2.5)

Package: grails.config

## [Groovy] Interface Settings

-     interface Settings

  Constants for names of settings in Grails

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `AUTO_GROW_COLLECTION_LIMIT` |
    `static java.lang.String` | `CLASS_RESOURCE_PATTERN` | Pattern to use for class scanning
    `static java.lang.String` | `CONTROLLERS_DEFAULT_SCOPE` | The default scope for controllers
    `static java.lang.String` | `CONTROLLERS_UPLOAD_FILE_SIZE_THRESHOLD` | The file size threshold
    `static java.lang.String` | `CONTROLLERS_UPLOAD_LOCATION` | The upload directory for controllers, defaults to java.tmp.dir
    `static java.lang.String` | `CONTROLLERS_UPLOAD_MAX_FILE_SIZE` | The maximum file size
    `static java.lang.String` | `CONTROLLERS_UPLOAD_MAX_REQUEST_SIZE` | The maximum request size
    `static java.lang.String` | `CONVERT_EMPTY_STRINGS_TO_NULL` |
    `static java.lang.String` | `DATE_FORMATS` |
    `static java.lang.String` | `DATE_LENIENT_PARSING` |
    `static java.lang.String` | `DBCONSOLE_ENABLED` | Whether the H2 dbconsole is enabled or not
    `static java.lang.String` | `DEFAULT_ENCODING` | The default encoding
    `static java.lang.String` | `DEFAULT_RESOURCE_PATTERN` | The default pattern for static resources
    `static java.lang.String` | `DEFAULT_TOMCAT_SERVLET_PATH` | The default servlet path
    `static java.lang.String` | `DEFAULT_WEB_SERVLET_PATH` | The default servlet path
    `static java.lang.String` | `FILTER_ENCODING` | The encoding to use for filters, default to UTF-8
    `static java.lang.String` | `FILTER_FORCE_ENCODING` | The encoding to use for filters, default to UTF-8
    `static java.lang.String` | `GORM_AUTOWIRE_INSTANCES` | Whether to autowire instances
    `static java.lang.String` | `GORM_DEFAULT_CONSTRAINTS` | The default configured constraints for the application
    `static java.lang.String` | `GORM_REACTOR_EVENTS` | Whether to translate GORM events into reactor events
    `static java.lang.String` | `GRAILS_VIEWS_ENABLE_JSESSIONID` | Whether to include the jsessionid in the rendered links
    `static java.lang.String` | `GSP_DISABLE_CACHING_RESOURCES` | Whether to disable caching of resources in GSP
    `static java.lang.String` | `GSP_ENABLE_RELOAD` | Whether to enable GSP reload in production
    `static java.lang.String` | `GSP_VIEWS_DIR` | Thew views directory for GSP
    `static java.lang.String` | `GSP_VIEW_ENCODING` | The encoding to use for GSP views, defaults to UTF-8
    `static java.lang.String` | `I18N_CACHE_SECONDS` |
    `static java.lang.String` | `I18N_FILE_CACHE_SECONDS` |
    `static java.lang.String` | `MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS` | Which user agents should have accept header processing disabled
    `static java.lang.String` | `MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS_XHR` | XHR requests will ignore MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS by default, enable to override default
    `static java.lang.String` | `MIME_TYPES` | The configured mime types
    `static java.lang.String` | `MIME_USE_ACCEPT_HEADER` | Whether to use the accept header for content negotiation
    `static java.lang.String` | `PLUGIN_EXCLUDES` | Which plugins to exclude from the plugin manager
    `static java.lang.String` | `PLUGIN_INCLUDES` | Which plugins to include in the plugin manager
    `static java.lang.String` | `PROFILE` | The active Grails profile
    `static java.lang.String` | `RESOURCES_CACHE_PERIOD` | The amount of time to cache static resource requests
    `static java.lang.String` | `RESOURCES_ENABLED` | Whether serving static HTML pages from src/main/resources/public is enabled
    `static java.lang.String` | `RESOURCES_PATTERN` | The path pattern to serve static resources under
    `static java.lang.String` | `SCAFFOLDING_DOMAIN_SUFFIX` | The suffix used during scaffolding for the domain
    `static java.lang.String` | `SERVER_URL` | The URL of the server
    `static java.lang.String` | `SETTING_CORS_FILTER` | Whether to load cors configuration via a filter (true) or interceptor(false)
    `static java.lang.String` | `SETTING_EXCEPTION_RESOLVER_PARAM_EXCLUDES` | The parameters to exclude from logging
    `static java.lang.String` | `SETTING_LEGACY_JSON_BUILDER` | Whether to use the legacy JSON builder
    `static java.lang.String` | `SETTING_LOGGING_STACKTRACE_FILTER_CLASS` | The class to use for stacktrace filtering.
    `static java.lang.String` | `SETTING_LOG_REQUEST_PARAMETERS` | Whether to log request parameters in the console
    `static java.lang.String` | `SETTING_SKIP_BOOTSTRAP` | Whether to execute Bootstrap classes
    `static java.lang.String` | `SPRING_BEAN_PACKAGES` | Packages to scan for Spring beans
    `static java.lang.String` | `SPRING_DISABLE_ASPECTJ` | Whether to disable AspectJ explicitly
    `static java.lang.String` | `SPRING_PLACEHOLDER_PREFIX` | The prefix to use for property placeholders
    `static java.lang.String` | `SPRING_TRANSACTION_MANAGEMENT` | Whether to enable Spring proxy based transaction management.
    `static java.lang.String` | `TRIM_STRINGS` |
    `static java.lang.String` | `VIEWS_FILTERING_CODEC_FOR_CONTENT_TYPE` |
    `static java.lang.String` | `WEB_LINK_GENERATOR_USE_CACHE` | Whether to cache links generated by the link generator
    `static java.lang.String` | `WEB_SERVLET_PATH` | The path to the Grails servlet.
    `static java.lang.String` | `WEB_URL_CONVERTER` | The converter to use for creating URL tokens in URL mapping.

- - ### Field Detail

    - #### public static final java.lang.String AUTO_GROW_COLLECTION_LIMIT

    - #### public static final java.lang.String CLASS_RESOURCE_PATTERN

      Pattern to use for class scanning

    - #### public static final java.lang.String CONTROLLERS_DEFAULT_SCOPE

      The default scope for controllers

    - #### public static final java.lang.String CONTROLLERS_UPLOAD_FILE_SIZE_THRESHOLD

      The file size threshold

    - #### public static final java.lang.String CONTROLLERS_UPLOAD_LOCATION

      The upload directory for controllers, defaults to java.tmp.dir

    - #### public static final java.lang.String CONTROLLERS_UPLOAD_MAX_FILE_SIZE

      The maximum file size

    - #### public static final java.lang.String CONTROLLERS_UPLOAD_MAX_REQUEST_SIZE

      The maximum request size

    - #### public static final java.lang.String CONVERT_EMPTY_STRINGS_TO_NULL

    - #### public static final java.lang.String DATE_FORMATS

    - #### public static final java.lang.String DATE_LENIENT_PARSING

    - #### public static final java.lang.String DBCONSOLE_ENABLED

      Whether the H2 dbconsole is enabled or not

    - #### public static final java.lang.String DEFAULT_ENCODING

      The default encoding

    - #### public static final java.lang.String DEFAULT_RESOURCE_PATTERN

      The default pattern for static resources

    - #### public static final java.lang.String DEFAULT_TOMCAT_SERVLET_PATH

      The default servlet path

    - #### public static final java.lang.String DEFAULT_WEB_SERVLET_PATH

      The default servlet path

    - #### public static final java.lang.String FILTER_ENCODING

      The encoding to use for filters, default to UTF-8

    - #### public static final java.lang.String FILTER_FORCE_ENCODING

      The encoding to use for filters, default to UTF-8

    - #### public static final java.lang.String GORM_AUTOWIRE_INSTANCES

      Whether to autowire instances

    - #### public static final java.lang.String GORM_DEFAULT_CONSTRAINTS

      The default configured constraints for the application

    - #### public static final java.lang.String GORM_REACTOR_EVENTS

      Whether to translate GORM events into reactor events

    - #### public static final java.lang.String GRAILS_VIEWS_ENABLE_JSESSIONID

      Whether to include the jsessionid in the rendered links

    - #### public static final java.lang.String GSP_DISABLE_CACHING_RESOURCES

      Whether to disable caching of resources in GSP

    - #### public static final java.lang.String GSP_ENABLE_RELOAD

      Whether to enable GSP reload in production

    - #### public static final java.lang.String GSP_VIEWS_DIR

      Thew views directory for GSP

    - #### public static final java.lang.String GSP_VIEW_ENCODING

      The encoding to use for GSP views, defaults to UTF-8

    - #### public static final java.lang.String I18N_CACHE_SECONDS

    - #### public static final java.lang.String I18N_FILE_CACHE_SECONDS

    - #### public static final java.lang.String MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS

      Which user agents should have accept header processing disabled

    - #### public static final java.lang.String MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS_XHR

      XHR requests will ignore MIME_DISABLE_ACCEPT_HEADER_FOR_USER_AGENTS by default, enable to override default

    - #### public static final java.lang.String MIME_TYPES

      The configured mime types

    - #### public static final java.lang.String MIME_USE_ACCEPT_HEADER

      Whether to use the accept header for content negotiation

    - #### public static final java.lang.String PLUGIN_EXCLUDES

      Which plugins to exclude from the plugin manager

    - #### public static final java.lang.String PLUGIN_INCLUDES

      Which plugins to include in the plugin manager

    - #### public static final java.lang.String PROFILE

      The active Grails profile

    - #### public static final java.lang.String RESOURCES_CACHE_PERIOD

      The amount of time to cache static resource requests

    - #### public static final java.lang.String RESOURCES_ENABLED

      Whether serving static HTML pages from src/main/resources/public is enabled

    - #### public static final java.lang.String RESOURCES_PATTERN

      The path pattern to serve static resources under

    - #### public static final java.lang.String SCAFFOLDING_DOMAIN_SUFFIX

      The suffix used during scaffolding for the domain

    - #### public static final java.lang.String SERVER_URL

      The URL of the server

    - #### public static final java.lang.String SETTING_CORS_FILTER

      Whether to load cors configuration via a filter (true) or interceptor(false)

    - #### public static final java.lang.String SETTING_EXCEPTION_RESOLVER_PARAM_EXCLUDES

      The parameters to exclude from logging

    - #### public static final java.lang.String SETTING_LEGACY_JSON_BUILDER

      Whether to use the legacy JSON builder

    - #### public static final java.lang.String SETTING_LOGGING_STACKTRACE_FILTER_CLASS

      The class to use for stacktrace filtering. Should be an instanceof StackTraceFilterer

    - #### public static final java.lang.String SETTING_LOG_REQUEST_PARAMETERS

      Whether to log request parameters in the console

    - #### public static final java.lang.String SETTING_SKIP_BOOTSTRAP

      Whether to execute Bootstrap classes

    - #### public static final java.lang.String SPRING_BEAN_PACKAGES

      Packages to scan for Spring beans

    - #### public static final java.lang.String SPRING_DISABLE_ASPECTJ

      Whether to disable AspectJ explicitly

    - #### public static final java.lang.String SPRING_PLACEHOLDER_PREFIX

      The prefix to use for property placeholders

    - #### public static final java.lang.String SPRING_TRANSACTION_MANAGEMENT

      Whether to enable Spring proxy based transaction management. Since `@Transactional` uses an AST transform, this makes Spring proxy based transaction management redundant. However, if Spring proxies are prefer

    - #### public static final java.lang.String TRIM_STRINGS

    - #### public static final java.lang.String VIEWS_FILTERING_CODEC_FOR_CONTENT_TYPE

    - #### public static final java.lang.String WEB_LINK_GENERATOR_USE_CACHE

      Whether to cache links generated by the link generator

    - #### public static final java.lang.String WEB_SERVLET_PATH

      The path to the Grails servlet. Defaults to '/'

    - #### public static final java.lang.String WEB_URL_CONVERTER

      The converter to use for creating URL tokens in URL mapping. Defaults to camel case.